package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TcAccountRelation;

import java.util.List;

/**
 * 组织(客户)合并关系Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-22
 */
public interface TcAccountRelationMapper extends BaseMapper<TcAccountRelation> 
{
    /**
     * 查询组织(客户)合并关系
     * 
     * @param id 组织(客户)合并关系主键
     * @return 组织(客户)合并关系
     */
    public TcAccountRelation selectTcAccountRelationById(Long id);

    /**
     * 查询组织(客户)合并关系列表
     * 
     * @param tcAccountRelation 组织(客户)合并关系
     * @return 组织(客户)合并关系集合
     */
    public List<TcAccountRelation> selectTcAccountRelationList(TcAccountRelation tcAccountRelation);
    public List<TcAccountRelation> selectTcAccountRelationListByList(List<TcAccountRelation> tcAccountRelations);

    /**
     * 新增组织(客户)合并关系
     * 
     * @param tcAccountRelation 组织(客户)合并关系
     * @return 结果
     */
    public int insertTcAccountRelation(TcAccountRelation tcAccountRelation);

    public int batchInsertTcAccountRelation(List<TcAccountRelation> list);

    /**
     * 修改组织(客户)合并关系
     * 
     * @param tcAccountRelation 组织(客户)合并关系
     * @return 结果
     */
    public int updateTcAccountRelation(TcAccountRelation tcAccountRelation);

    /**
     * 删除组织(客户)合并关系
     * 
     * @param id 组织(客户)合并关系主键
     * @return 结果
     */
    public int deleteTcAccountRelationById(Long id);

    /**
     * 批量删除组织(客户)合并关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcAccountRelationByIds(Long[] ids);

    List<TcAccountRelation> selectAllTcAccountRelation();
}
